diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index 32fc07d8d86..77bf41b68b9 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -2606,7 +2606,6 @@ (define-public python-poliastro
               (setenv "HOME" "/tmp"))))))
     (native-inputs
      (list python-hypothesis
-           python-mypy
            python-flit-core
            python-pytest
            python-pytest-cov
diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index f9202639c53..ad27ec621ca 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -4112,7 +4112,6 @@ (define-public python-psycopg
                (delete 'sanity-check))))
     (native-inputs
      (list python-cython-3
-           python-mypy
            python-psycopg-pool
            python-pytest
            python-pytest-asyncio
diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 2620d5272b6..af79172e53b 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -3923,7 +3923,6 @@ (define-public uranium
            graphviz
            pkg-config
            python-pytest
-           python-mypy
            python-certifi
            python-twisted))
     (propagated-inputs
@@ -4126,7 +4125,6 @@ (define-public cura
     (build-system qt-build-system)
     (native-inputs
      (list python-certifi
-           python-mypy
            python-pytest
            python-requests))
     (inputs
diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index b396a97c0bc..ecc2dc2bb4c 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -218,7 +218,6 @@ (define-public python-uqbar
     (native-inputs
      (list graphviz
            python-isort
-           python-mypy
            python-pytest
            python-pytest-cov
            python-setuptools
diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 19f73d562e7..686cd726e37 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1920,7 +1920,6 @@ (define-public python-imbalanced-learn
     (propagated-inputs (list python-joblib python-numpy python-scikit-learn
                              python-scipy python-threadpoolctl))
     (native-inputs (list python-keras
-                         python-mypy
                          python-pandas
                          python-pytest
                          python-pytest-cov
@@ -4521,7 +4520,6 @@ (define-public python-captum
                          python-flask-compress
                          python-ipython
                          python-ipywidgets
-                         python-mypy
                          python-parameterized
                          python-pytest
                          python-pytest-cov
@@ -4729,7 +4727,6 @@ (define-public python-torchmetrics
      (list python-cloudpickle
            python-fire
            python-mir-eval
-           python-mypy
            python-pandas
            python-psutil
            python-pytest
@@ -5055,7 +5052,6 @@ (define-public python-pyro-ppl
            python-isort
            python-lap
            python-matplotlib
-           python-mypy
            python-nbformat
            python-nbsphinx
            python-nbstripout
diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index e20cb56db9c..567fa5d1559 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -273,7 +273,6 @@ (define-public python-scipy
            '())
        (list python-matplotlib
              python-mpmath
-             python-mypy
              python-numpy
              python-numpydoc
              python-pydata-sphinx-theme
diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 51753adae77..db815812299 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -196,7 +196,6 @@ (define-public python-huggingface-hub
            python-fastapi
            python-jedi
            python-jinja2
-           python-mypy
            python-numpy
            python-pillow
            python-pydantic
@@ -717,7 +716,7 @@ (define-public python-asgiref
              (when tests?
                (invoke "pytest" "-vv")))))))
     (native-inputs
-     (list python-mypy python-pytest python-pytest-asyncio))
+     (list python-pytest python-pytest-asyncio))
     (propagated-inputs
      (list python-typing-extensions))
     (home-page "https://github.com/django/asgiref/")
@@ -8963,7 +8962,6 @@ (define-public python-starsessions-for-pytorch-lightning
            python-starlette-for-fastapi-0.88))
     (native-inputs
      (list python-httpx
-           python-mypy
            python-poetry-core
            python-pytest
            python-pytest-asyncio
@@ -9009,7 +9007,6 @@ (define-public python-fastapi
                          python-hatchling
                          python-isort
                          python-jose
-                         python-mypy
                          python-passlib
                          python-peewee
                          python-pytest
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c83146372bf..963747bb06a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -3020,7 +3020,7 @@ (define-public python-pyls-black
     (propagated-inputs
      (list python-black python-lsp-server python-toml python-tomli))
     (native-inputs
-     (list python-isort python-mypy python-pytest
+     (list python-isort python-pytest
            python-pytest-runner python-setuptools python-wheel))
     (home-page "https://github.com/rupert/pyls-black")
     (synopsis "Black plugin for the Python Language Server")
@@ -6785,7 +6785,7 @@ (define-public kalamine
     ;; TODO: Add python-pytest-ruff to native-inputs once it has been
     ;; packaged.
     (native-inputs
-     (list python-hatchling python-mypy python-pytest))
+     (list python-hatchling python-pytest))
     (home-page "https://github.com/OneDeadKey/kalamine")
     (synopsis "Keyboard layout maker")
     (description
@@ -8002,8 +8002,7 @@ (define-public python-pydantic-cli
     (propagated-inputs
      (list python-pydantic))
     (native-inputs
-     (list python-mypy
-           python-pytest))
+     (list python-pytest))
     (home-page "https://github.com/mpkocher/pydantic-cli")
     (synopsis "Turn Pydantic defined data models into CLI tools")
     (description
@@ -23461,6 +23460,8 @@ (define-public python-duckdb
      (list
       #:test-flags
       '(list "--ignore=tests/slow/test_h2oai_arrow.py"
+             ;; stubs require mypy and don't actually check functionality.
+             "--ignore=tests/stubs/test_stubs.py"
              ;; Don't install anything, thank you.
              "-k" "not test_install_non_existent_extension")
       #:phases
@@ -23485,7 +23486,6 @@ (define-public python-duckdb
      (list pybind11
            python-fsspec
            python-google-cloud-storage
-           python-mypy
            python-numpy
            python-pandas
            python-psutil
@@ -25107,7 +25107,6 @@ (define-public python-marshmallow
      (list python-packaging))
     (native-inputs
      (list python-flake8-bugbear
-           python-mypy
            python-pytest
            python-pytz
            python-simplejson
@@ -25169,7 +25168,6 @@ (define-public python-apispec
     (native-inputs
      (list python-flake8-bugbear
            python-marshmallow
-           python-mypy
            python-pytest
            python-pyyaml
            python-setuptools
@@ -26586,8 +26584,7 @@ (define-public python-typeguard
                         ;; XXX: These fail when installed as a library:
                         ;; https://github.com/agronholm/typeguard/issues/176
                         "not usefixtures and not test_cached_module")))))))
-    (native-inputs (list python-mypy
-                         python-pytest
+    (native-inputs (list python-pytest
                          python-setuptools-scm
                          python-typing-extensions))
     (home-page "https://github.com/agronholm/typeguard")
@@ -29057,8 +29054,7 @@ (define-public python-trio-typing
     (native-inputs (list python-attrs python-pytest python-setuptools
                          python-wheel))
     (propagated-inputs
-     (list python-mypy python-mypy-extensions python-trio
-           python-typing-extensions))
+     (list python-mypy-extensions python-trio python-typing-extensions))
     (home-page "https://github.com/python-trio/trio-typing")
     (synopsis "Static type checking support for Trio and related projects")
     (description
@@ -35498,7 +35494,7 @@ (define-public python-verspec
                (base32
                 "07n06wv85fm4vl1ird2mja0823js3x322wgs9gdnq1djjyk4ql64"))))
     (build-system python-build-system)
-    (native-inputs (list python-mypy python-pretend python-pytest))
+    (native-inputs (list python-pretend python-pytest))
     (arguments
      `(#:phases (modify-phases %standard-phases
                   (replace 'check
@@ -36245,7 +36241,7 @@ (define-public python-catalogue
                 "0srdxiil2xys8q1gpc1nvzhvis3a33d8a7amk2i1rlpbg6p36pak"))))
     (build-system python-build-system)
     (native-inputs (list python-pytest))
-    (inputs (list python python-zipp python-typing-extensions python-mypy))
+    (inputs (list python python-zipp python-typing-extensions))
     (home-page "https://github.com/explosion/catalogue")
     (synopsis "Lightweight function registries for your library")
     (description
diff --git a/gnu/packages/serialization.scm b/gnu/packages/serialization.scm
index 728d6404bb9..b39ce176502 100644
--- a/gnu/packages/serialization.scm
+++ b/gnu/packages/serialization.scm
@@ -719,7 +719,6 @@ (define-public python-msgspec
     (native-inputs (list python-attrs
                          python-gcovr
                          python-msgpack
-                         python-mypy
                          python-pytest
                          python-setuptools-scm
                          python-versioneer
diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 85ad5031059..1a75ae0a09e 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -2809,8 +2809,7 @@ (define-public python-transient
            python-requests
            python-toml))
     (native-inputs
-     (list python-mypy
-           python-pyhamcrest
+     (list python-pyhamcrest
            python-setuptools
            python-twine
            python-wheel))