diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index c05f8e51885..02d0726b9be 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -2188,8 +2188,7 @@ (define-public python-crds
                              python-roman-datamodels
                              python-stsynphot
                              python-requests))
-    (native-inputs (list python-flake8
-                         python-ipython
+    (native-inputs (list python-ipython
                          python-lockfile
                          python-mock
                          python-nose
diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index adeb7b1c3be..aa7f2988191 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -2152,8 +2152,7 @@ (define-public python-doubletdetection
            python-scipy
            python-tqdm))
     (native-inputs
-     (list python-flake8
-           python-poetry-core
+     (list python-poetry-core
            python-pytest))
     (home-page "https://github.com/JonathanShor/DoubletDetection")
     (synopsis
@@ -3006,7 +3005,6 @@ (define-public python-biom-format
     (propagated-inputs
      (list python-anndata
            python-click
-           python-flake8
            python-future
            python-h5py
            python-numpy
@@ -21834,8 +21832,7 @@ (define-public scvelo
            python-umap-learn
            pybind11))
     (native-inputs
-     (list python-flake8
-           python-hypothesis
+     (list python-hypothesis
            python-pytest
            python-setuptools-scm
            python-wheel))
diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index 16d4fcd6e36..3d536e59add 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -154,7 +154,6 @@ (define-public calibre
     (native-inputs
      (list bash-minimal
            pkg-config
-           python-flake8
            python-pyqt-builder
            qtbase-5                     ; for qmake
            xdg-utils))
diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index f082f346278..610fb53087b 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -2679,7 +2679,6 @@ (define-public python-scikit-rf
                              python-qtpy
                              python-scipy))
     (native-inputs (list python-coverage
-                         python-flake8
                          python-nbval
                          python-networkx
                          python-pytest
diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 7d1efde8187..7579001dd1f 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -2307,9 +2307,7 @@ (define-public python-mt-940
                         ;; Remove custom --cov flags.
                         (delete-file "pytest.ini")
                         (invoke "pytest" "-vv")))))))
-    (native-inputs (list python-flake8
-                         python-pytest
-                         python-pyyaml))
+    (native-inputs (list python-pytest python-pyyaml))
     (home-page "https://mt940.readthedocs.io/")
     (synopsis "Python parser for MT940-encoded SWIFT data")
     (description
diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 81a854f8a2a..69cc7e6ddc5 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -3265,7 +3265,6 @@ (define-public python-geopy
     (native-inputs
      (list python-async-generator
            python-coverage
-           python-flake8
            python-isort
            python-pytest
            python-pytest-aiohttp
diff --git a/gnu/packages/gettext.scm b/gnu/packages/gettext.scm
index 1408cc4cb46..bbb19bd4cb8 100644
--- a/gnu/packages/gettext.scm
+++ b/gnu/packages/gettext.scm
@@ -214,7 +214,6 @@ (define-public mdpo
     (build-system python-build-system)
     (native-inputs
      (list python-bump2version
-           python-flake8
            python-flake8-implicit-str-concat
            python-flake8-print
            python-isort
diff --git a/gnu/packages/graph.scm b/gnu/packages/graph.scm
index 033027a5aa9..eb8aa17fdfe 100644
--- a/gnu/packages/graph.scm
+++ b/gnu/packages/graph.scm
@@ -564,8 +564,7 @@ (define-public python-pygsp
                 "")))))))
     (propagated-inputs (list python-numpy python-scikit-image python-scipy))
     (native-inputs
-     (list python-coverage python-coveralls python-flake8
-           python-pytest))
+     (list python-coverage python-coveralls python-pytest))
     (home-page "https://github.com/epfl-lts2/pygsp")
     (synopsis "Graph Signal Processing in Python")
     (description "The PyGSP is a Python package to ease signal processing on
diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index db40b99928a..b396a97c0bc 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -217,7 +217,6 @@ (define-public python-uqbar
 and not test_sphinx_book_text_broken_strict")))
     (native-inputs
      (list graphviz
-           python-flake8
            python-isort
            python-mypy
            python-pytest
diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 494d7174859..bf09c9ec4c1 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -175,8 +175,7 @@ (define-public python-funsor
     (propagated-inputs (list python-makefun python-multipledispatch
                              python-numpy python-opt-einsum
                              python-typing-extensions))
-    (native-inputs (list python-flake8
-                         python-isort
+    (native-inputs (list python-isort
                          python-nbsphinx
                          python-pandas
                          python-pillow
@@ -1922,8 +1921,7 @@ (define-public python-imbalanced-learn
                               (getcwd)))))))
     (propagated-inputs (list python-joblib python-numpy python-scikit-learn
                              python-scipy python-threadpoolctl))
-    (native-inputs (list python-flake8
-                         python-keras
+    (native-inputs (list python-keras
                          python-mypy
                          python-pandas
                          python-pytest
@@ -4522,7 +4520,6 @@ (define-public python-captum
      (list python-matplotlib python-numpy python-pytorch python-tqdm))
     (native-inputs (list jupyter
                          python-annoy
-                         python-flake8
                          python-flask
                          python-flask-compress
                          python-ipython
@@ -5010,8 +5007,7 @@ (define-public python-pyro-api
     (build-system python-build-system)
     (arguments '(#:tests? #false)) ;requires pyro
     (native-inputs
-     (list python-flake8
-           python-ipython
+     (list python-ipython
            python-pytest
            python-sphinx
            python-sphinx-rtd-theme))
@@ -5060,7 +5056,6 @@ (define-public python-pyro-ppl
     (native-inputs
      (list ninja
            jupyter
-           python-flake8
            python-graphviz
            python-isort
            python-lap
@@ -5107,8 +5102,7 @@ (define-public python-linear-operator
                              python-pytorch
                              python-scipy
                              python-typeguard))
-    (native-inputs (list python-flake8
-                         python-flake8-print
+    (native-inputs (list python-flake8-print
                          python-pytest
                          python-setuptools
                          python-setuptools-scm
@@ -5139,7 +5133,6 @@ (define-public python-gpytorch
                                        " and not test_t_matmul_matrix"))))
     (propagated-inputs (list python-linear-operator python-scikit-learn))
     (native-inputs (list python-coverage
-                         python-flake8
                          python-flake8-print
                          python-nbval
                          python-pytest
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index ab3fe970997..ad026f5d359 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -3968,6 +3968,7 @@ (define-public python-mutagen
     (build-system pyproject-build-system)
     (arguments
      (list
+      #:test-flags '(list "--ignore=tests/quality/test_flake8.py")
        #:phases
        #~(modify-phases %standard-phases
            (add-before 'check 'remove-hypothesis-deadlines
@@ -3978,8 +3979,7 @@ (define-public python-mutagen
                  (("( +)@given" all spaces)
                   (string-append spaces "@settings(deadline=None)\n" all))))))))
     (native-inputs
-     (list python-flake8
-           python-hypothesis
+     (list python-hypothesis
            python-pytest
            python-setuptools
            python-wheel))
diff --git a/gnu/packages/protobuf.scm b/gnu/packages/protobuf.scm
index 8ca730df3c3..502ad09a3a6 100644
--- a/gnu/packages/protobuf.scm
+++ b/gnu/packages/protobuf.scm
@@ -469,7 +469,7 @@ (define-public python-pure-protobuf
         (base32 "15dp5pvazd0jx4wzzh79080ah7hkpd3axh40al9vhzs2hf3v90hx"))))
     (build-system python-build-system)
     (native-inputs
-     (list python-flake8 python-pytest python-pytest-cov python-isort))
+     (list python-pytest python-pytest-cov python-isort))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -477,8 +477,6 @@ (define-public python-pure-protobuf
            (lambda _
              (invoke "pytest" "--cov-report" "term-missing" "--cov"
                      "pure_protobuf")
-             (invoke "flake8" "pure_protobuf" "tests"
-                     "--ignore=F541")
              (invoke "isort" "-rc" "-c" "pure_protobuf" "tests"))))))
     (home-page "https://pypi.org/project/pure-protobuf/")
     (synopsis "Protobuf implementation using dataclasses")
diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 4f5d7baab97..ba378088cf8 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -978,7 +978,6 @@ (define-public python-ovh
     (arguments (list #:tests? #f))      ; XXX: tests require networking
     (propagated-inputs (list python-requests))
     (native-inputs (list python-coverage
-                         python-flake8
                          python-isort
                          python-pytest
                          python-pytest-cov
@@ -1240,8 +1239,6 @@ (define-public python-furl
     (build-system python-build-system)
     (propagated-inputs
      (list python-six python-orderedmultidict))
-    (native-inputs
-     (list python-flake8))
     (home-page "https://github.com/gruns/furl")
     (synopsis "URL manipulation in Python")
     (description "Furl provides an easy-to-use alternative to the
@@ -1274,7 +1271,6 @@ (define-public python-httplib2
                  (("==") ">=")))))))
     (native-inputs
      (list python-cryptography
-           python-flake8
            python-future
            python-mock
            python-pytest
@@ -7313,7 +7309,7 @@ (define-public python-http-ece
     (propagated-inputs
      (list python-cryptography))
     (native-inputs
-     (list python-coverage python-flake8 python-mock python-nose))
+     (list python-coverage python-mock python-nose))
     (home-page "https://github.com/web-push-libs/encrypted-content-encoding")
     (synopsis "Encrypted Content Encoding for HTTP")
     (description
@@ -8333,8 +8329,7 @@ (define-public python-woob
            python-six
            python-unidecode))
     (native-inputs
-     (list python-coverage python-flake8 python-nose python-selenium
-           python-xunitparser))
+     (list python-coverage python-nose python-selenium python-xunitparser))
     (home-page "https://woob.tech/")
     (synopsis "Woob, Web Outside Of Browsers")
     (description "Woob is a collection of applications able to interact with
@@ -8973,8 +8968,7 @@ (define-public python-starsessions-for-pytorch-lightning
            python-itsdangerous
            python-starlette-for-fastapi-0.88))
     (native-inputs
-     (list python-flake8
-           python-httpx
+     (list python-httpx
            python-mypy
            python-poetry-core
            python-pytest
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 8d4ce3f9844..3ca12d05ee5 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -320,7 +320,6 @@ (define-public python-apprise
     (native-inputs (list python-babel
                          python-coverage
                          python-cryptography
-                         python-flake8
                          python-paho-mqtt
                          python-pytest
                          python-pytest-cov
@@ -1183,8 +1182,7 @@ (define-public python-colorful
         (base32 "0kyy9qhvrb5m9h8xmri7c88i0k1g5qc7017anw39gx44an7mn33y"))))
     (build-system pyproject-build-system)
     (native-inputs
-     (list python-coverage python-flake8 python-pytest python-setuptools
-           python-wheel))
+     (list python-coverage python-pytest python-setuptools python-wheel))
     (propagated-inputs
      (list python-colorama))
     (home-page "http://github.com/timofurrer/colorful")
@@ -2370,7 +2368,7 @@ (define-public python-pymd4c
     (inputs
      (list md4c))
     (native-inputs
-     (list python-flake8 python-pkgconfig pkg-config))
+     (list python-pkgconfig pkg-config))
     (home-page "https://github.com/dominickpastore/pymd4c")
     (synopsis "Python bindings for MD4C")
     (description
@@ -3028,7 +3026,7 @@ (define-public python-pyls-black
     (propagated-inputs
      (list python-black python-lsp-server python-toml python-tomli))
     (native-inputs
-     (list python-flake8 python-isort python-mypy python-pytest
+     (list python-isort python-mypy python-pytest
            python-pytest-runner python-setuptools python-wheel))
     (home-page "https://github.com/rupert/pyls-black")
     (synopsis "Black plugin for the Python Language Server")
@@ -7006,7 +7004,6 @@ (define-public python-docx
     (build-system pyproject-build-system)
     (native-inputs
      (list behave
-           python-flake8
            python-mock
            python-pyparsing
            python-pytest
@@ -10809,7 +10806,7 @@ (define-public python-imageio
     (propagated-inputs
      (list python-imageio-ffmpeg python-numpy python-pillow python-tifffile python-setuptools))
     (native-inputs
-     (list python-flake8 python-fsspec python-pytest
+     (list python-fsspec python-pytest
            python-pytest-cov python-wheel))
     (home-page "https://imageio.github.io/")
     (synopsis "Library for reading and writing a wide range of image data")
@@ -11587,8 +11584,7 @@ (define-public python-importlib-resources
              (setenv "PYTHONPATH"
                      (string-append (getcwd) "/_custom_build")))))))
     (native-inputs
-     (list python-flake8
-           python-pytest
+     (list python-pytest
            python-pytest-black
            python-pytest-checkdocs
            python-pytest-cov
@@ -11910,8 +11906,7 @@ (define-public python-jaraco-test
     (arguments
      (list #:test-flags '(list "-k" "http")))
     (propagated-inputs (list python-jaraco-context python-jaraco-functools))
-    (native-inputs (list python-flake8
-                         python-pytest
+    (native-inputs (list python-pytest
                          python-pytest-black
                          python-pytest-checkdocs
                          python-pytest-cov
@@ -13710,8 +13705,7 @@ (define-public python-seaborn
            python-scipy
            python-statsmodels))
     (native-inputs
-     (list python-flake8
-           python-flit-core
+     (list python-flit-core
            python-ipykernel
            python-nbconvert
            python-numpydoc
@@ -18695,8 +18689,7 @@ (define-public python-progressbar2
     (propagated-inputs
      (list python-six python-utils))
     (native-inputs
-     (list python-flake8
-           python-freezegun
+     (list python-freezegun
            python-pycodestyle
            python-pytest
            python-pytest-cache
@@ -20052,8 +20045,7 @@ (define-public python-codespell
     (inputs
       (list python-chardet))
     (native-inputs
-      (list python-flake8
-            python-pygments
+      (list python-pygments
             python-pytest
             python-pytest-cov
             python-pytest-dependency
@@ -21144,8 +21136,7 @@ (define-public python-inflect
              (setenv "PYTHONPATH"
                      (string-append (getcwd) "/_custom_build")))))))
     (propagated-inputs (list python-pydantic))
-    (native-inputs (list python-flake8
-                         python-pygments
+    (native-inputs (list python-pygments
                          python-pytest
                          python-pytest-black
                          python-pytest-checkdocs
@@ -23283,7 +23274,6 @@ (define-public python-argcomplete
                (invoke "python3" "./test/test.py" "-v")))))))
     (native-inputs
      (list python-coverage
-           python-mypy
            python-pexpect
            python-setuptools
            python-setuptools-scm
@@ -24419,8 +24409,7 @@ (define-public python-diff-cover
            python-setuptools ; For pkg_resources.
            python-tomli))
     (native-inputs
-     (list python-flake8
-           python-poetry-core
+     (list python-poetry-core
            python-pylint
            python-pytest
            python-pytest-flake8
@@ -25087,7 +25076,7 @@ (define-public python-validators
     (propagated-inputs
      (list python-decorator python-six))
     (native-inputs
-     (list python-flake8 python-isort python-pytest))
+     (list python-isort python-pytest))
     (home-page "https://github.com/kvesteri/validators")
     (synopsis "Data validation library")
     (description
@@ -25156,8 +25145,7 @@ (define-public python-marshmallow
     (propagated-inputs
      (list python-packaging))
     (native-inputs
-     (list python-flake8
-           python-flake8-bugbear
+     (list python-flake8-bugbear
            python-mypy
            python-pytest
            python-pytz
@@ -25185,7 +25173,6 @@ (define-public python-marshmallow-jsonapi
      (list python-marshmallow))
     (native-inputs
      (list python-faker
-           python-flake8
            python-flake8-bugbear
            python-flask
            python-mock
@@ -25220,8 +25207,7 @@ (define-public python-apispec
     (propagated-inputs
      (list python-packaging))
     (native-inputs
-     (list python-flake8
-           python-flake8-bugbear
+     (list python-flake8-bugbear
            python-marshmallow
            python-mypy
            python-pytest
@@ -25249,7 +25235,6 @@ (define-public python-apispec-webframeworks
     (propagated-inputs (list python-apispec python-setuptools))
     (native-inputs
      (list python-bottle
-           python-flake8
            python-flake8-bugbear
            python-flask
            python-mock
@@ -25298,7 +25283,6 @@ (define-public python-flasgger
      (list python-apispec
            python-apispec-webframeworks
            python-decorator
-           python-flake8
            python-flask-jwt
            python-flask-restful
            python-flex
@@ -26283,7 +26267,7 @@ (define-public python-yq
     (inputs
      (list python-argcomplete python-pyyaml python-xmltodict python-toml jq))
     (native-inputs
-     (list python-coverage python-flake8 python-setuptools-scm python-wheel))
+     (list python-coverage python-setuptools-scm python-wheel))
     (home-page "https://github.com/kislyuk/yq")
     (synopsis "Command-line YAML/XML processor")
     (description
@@ -27290,7 +27274,7 @@ (define-public python-update-checker
         (base32 "04yb5a9mi45ax50m2m0ih6gdvkk1j7gfmy83dd58i1f59axlabba"))))
     (build-system python-build-system)
     (propagated-inputs (list python-requests))
-    (native-inputs (list python-flake8 python-pytest))
+    (native-inputs (list python-pytest))
     (home-page "https://github.com/bboe/update_checker")
     (synopsis "Python module that will check for package updates")
     (description "This package provides a Python module that will check for
@@ -31405,7 +31389,6 @@ (define-public python-eliot
     (native-inputs
      (list python-coverage
            python-dask
-           python-flake8
            python-hypothesis
            python-pytest
            python-setuptools
@@ -32194,7 +32177,7 @@ (define-public python-dateparser
      (list python-dateutil python-pytz python-regex python-ruamel.yaml
            python-tzlocal))
     (native-inputs
-     (list python-flake8 python-pytest python-parameterized tzdata-for-tests
+     (list python-pytest python-parameterized tzdata-for-tests
            python-setuptools python-wheel))
     (arguments
      `(#:phases
@@ -32722,11 +32705,10 @@ (define-public python-versioneer
                 (invoke "pyflakes" "setup.py" "versioneer.py" "git_version.py")
                 (invoke "python" "test/run_pyflakes_src.py")
                 (invoke "pyflakes" "test")
-                (invoke "flake8" "git_version.py" "versioneer.py")
                 (invoke "pycodestyle" "--max-line-length=88"
                         "git_version.py" "versioneer.py")))))))
     (native-inputs
-     (list git-minimal python-flake8 python-pycodestyle python-pyflakes
+     (list git-minimal python-pycodestyle python-pyflakes
            python-pypa-build python-setuptools python-wheel))
     (propagated-inputs
      (list python-tomli))
@@ -33529,7 +33511,7 @@ (define-public python-jinja2-cli
     (propagated-inputs
       (list python-jinja2))
     (native-inputs
-      (list python-flake8 python-jinja2 python-pytest))
+      (list python-jinja2 python-pytest))
     (home-page "https://github.com/mattrobenolt/jinja2-cli")
     (synopsis "Command-line interface to Jinja2")
     (description
@@ -35104,7 +35086,6 @@ (define-public nikola
             python-yapsy))
     (native-inputs
       (list python-coverage
-            python-flake8
             python-freezegun
             python-pytest
             python-pytest-cov))
@@ -35576,7 +35557,7 @@ (define-public python-verspec
                (base32
                 "07n06wv85fm4vl1ird2mja0823js3x322wgs9gdnq1djjyk4ql64"))))
     (build-system python-build-system)
-    (native-inputs (list python-coverage python-flake8 python-mypy
+    (native-inputs (list python-coverage python-mypy
                          python-pretend python-pytest))
     (arguments
      `(#:phases (modify-phases %standard-phases
@@ -35975,7 +35956,7 @@ (define-public python-mike
                 "0yxp816x7s948xsd0fifvq9shg01xdxlifd9rzf5y2rd9iwz3hsn"))))
     (build-system python-build-system)
     (native-inputs
-     (list python-coverage python-flake8 python-shtab))
+     (list python-coverage python-shtab))
     (propagated-inputs
      (list python-jinja2 python-mkdocs python-pyyaml python-verspec))
     (home-page "https://github.com/jimporter/mike")
@@ -35999,7 +35980,6 @@ (define-public python-arpeggio
     (build-system python-build-system)
     (native-inputs (list python-coverage
                          python-coveralls
-                         python-flake8
                          python-mike
                          python-mkdocs
                          python-pytest
diff --git a/gnu/packages/simulation.scm b/gnu/packages/simulation.scm
index 99c0a121dde..7831802284f 100644
--- a/gnu/packages/simulation.scm
+++ b/gnu/packages/simulation.scm
@@ -1220,7 +1220,6 @@ (define-public python-dolfin-adjoint
      (list pkg-config
            python-coverage
            python-decorator
-           python-flake8
            python-pkgconfig
            python-pytest))
     (propagated-inputs
diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index 4be9febb96c..ed3fba059d8 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -90,7 +90,6 @@ (define-public python-sphinx
            python-colorama
            python-docutils
            python-filelock
-           python-flake8
            python-html5lib
            python-imagesize
            python-importlib-metadata
@@ -194,7 +193,6 @@ (define-public python-sphinx-5
            python-colorama
            python-docutils
            python-filelock
-           python-flake8
            python-html5lib
            python-imagesize
            python-importlib-metadata
diff --git a/gnu/packages/statistics.scm b/gnu/packages/statistics.scm
index c2dc1cefef3..0a6f61e2280 100644
--- a/gnu/packages/statistics.scm
+++ b/gnu/packages/statistics.scm
@@ -2447,7 +2447,6 @@ (define-public python-statsmodels
     (native-inputs
      (list python-colorama
            python-cython
-           python-flake8
            python-isort
            python-joblib
            python-matplotlib
diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index 9d3b93faf90..bf2da58a3ee 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -1675,7 +1675,6 @@ (define-public python-panflute
     (propagated-inputs (list python-click python-pyyaml))
     (native-inputs (list python-configparser
                          python-coverage
-                         python-flake8
                          python-pandocfilters
                          python-pytest
                          python-pytest-cov
diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index 9da51cb5617..d52d872909d 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -970,7 +970,6 @@ (define-public sshuttle
     (native-inputs
      (list python-setuptools-scm
            ;; For tests only.
-           python-flake8
            python-mock
            python-pytest-cov
            python-pytest-runner))
diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index a1c94fe13a9..7da18bc821c 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -654,7 +654,6 @@ (define-public qtile
            python-xcffib))
     (native-inputs
       (list pkg-config
-            python-flake8
             python-pep8-naming
             python-pytest
             python-pytest-cov