diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index 621cabe3d8..2552aaa42a 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -2449,6 +2449,46 @@ (define-public python-ci-watson
      "This package contains a helper functionality to test ROMAN and JWST.")
     (license license:bsd-3)))
 
+(define-public python-cesium
+  (package
+    (name "python-cesium")
+    (version "0.12.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "cesium" version))
+              (sha256
+               (base32
+                "0jr0ycqz9ns6mcskm4sxx92k40fj3v0x9knjaw5ac9f3mpqxsfbv"))))
+    (build-system pyproject-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; The installed test files contain the /gnu/store location, not the
+          ;; location of the discovered test files from the build directory.
+          ;; The test framework doesn't like this.  The easiest way around
+          ;; this mismatch is to jump to the output directory.
+          (add-before 'check 'check-chdir
+            (lambda _ (chdir #$output))))))
+    (propagated-inputs
+     (list python-click ;XXX required by python-dask
+           python-cloudpickle
+           python-dask
+           python-gatspy
+           python-joblib
+           python-numpy
+           python-pandas
+           python-scikit-learn
+           python-scipy
+           python-toolz))
+    (native-inputs (list python-cython python-pytest python-setuptools-scm
+                         python-setuptools python-wheel))
+    (home-page "https://pypi.org/project/cesium/")
+    (synopsis "Library for time-series feature extraction and processing")
+    (description
+     "Cesium is a library for time-series feature extraction and processing.")
+    (license license:bsd-3)))
+
 (define-public python-cmyt
   (package
     (name "python-cmyt")
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 8a6453e592..1acc381d9f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -185,7 +185,6 @@ (define-module (gnu packages python-xyz)
   #:use-module (gnu packages adns)
   #:use-module (gnu packages aidc)
   #:use-module (gnu packages algebra)
-  #:use-module (gnu packages astronomy)
   #:use-module (gnu packages attr)
   #:use-module (gnu packages audio)
   #:use-module (gnu packages autotools)
@@ -21407,46 +21406,6 @@ (define-public python-celery
 synchronously (wait until ready).")
     (license license:bsd-3)))
 
-(define-public python-cesium
-  (package
-    (name "python-cesium")
-    (version "0.12.1")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "cesium" version))
-              (sha256
-               (base32
-                "0jr0ycqz9ns6mcskm4sxx92k40fj3v0x9knjaw5ac9f3mpqxsfbv"))))
-    (build-system pyproject-build-system)
-    (arguments
-     (list
-      #:phases
-      #~(modify-phases %standard-phases
-          ;; The installed test files contain the /gnu/store location, not the
-          ;; location of the discovered test files from the build directory.
-          ;; The test framework doesn't like this.  The easiest way around
-          ;; this mismatch is to jump to the output directory.
-          (add-before 'check 'check-chdir
-            (lambda _ (chdir #$output))))))
-    (propagated-inputs
-     (list python-click ;XXX required by python-dask
-           python-cloudpickle
-           python-dask
-           python-gatspy
-           python-joblib
-           python-numpy
-           python-pandas
-           python-scikit-learn
-           python-scipy
-           python-toolz))
-    (native-inputs (list python-cython python-pytest python-setuptools-scm
-                         python-setuptools python-wheel))
-    (home-page "https://pypi.org/project/cesium/")
-    (synopsis "Library for time-series feature extraction and processing")
-    (description
-     "Cesium is a library for time-series feature extraction and processing.")
-    (license license:bsd-3)))
-
 (define-public python-translitcodec
   (package
     (name "python-translitcodec")